List email marketing campaigns
curl --request GET \
--url https://api.shoppex.io/dev/v1/email-marketing/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/email-marketing/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/email-marketing/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/email-marketing/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/email-marketing/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"shopId": "<string>",
"type": "BROADCAST",
"status": "DRAFT",
"name": "<string>",
"subject": "<string>",
"templateId": "<string>",
"listId": "<string>",
"segmentId": "<string>",
"fromName": "<string>",
"fromEmail": "<string>",
"replyToEmail": "<string>",
"snapshotSubject": "<string>",
"snapshotPreheader": "<string>",
"snapshotFromName": "<string>",
"snapshotFromEmail": "<string>",
"snapshotReplyToEmail": "<string>",
"snapshotHtmlCompiled": "<string>",
"snapshotTextCompiled": "<string>",
"snapshotTemplateId": "<string>",
"snapshotTemplateContentHash": "<string>",
"snapshotAudience": {},
"snapshotTakenAt": "<string>",
"scheduleAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"sesTenantName": "<string>",
"idempotencyKey": "<string>",
"targetRules": {},
"stats": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"cancelledAt": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true
}
}{
"status": 123,
"data": null,
"error": "<string>",
"message": "<string>",
"log": null,
"env": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}Email Marketing
List email marketing campaigns
Developer API operation for GET /dev/v1/email-marketing/campaigns.
GET
/
dev
/
v1
/
email-marketing
/
campaigns
List email marketing campaigns
curl --request GET \
--url https://api.shoppex.io/dev/v1/email-marketing/campaigns \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.shoppex.io/dev/v1/email-marketing/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.shoppex.io/dev/v1/email-marketing/campaigns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.shoppex.io/dev/v1/email-marketing/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.shoppex.io/dev/v1/email-marketing/campaigns"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": "<string>",
"shopId": "<string>",
"type": "BROADCAST",
"status": "DRAFT",
"name": "<string>",
"subject": "<string>",
"templateId": "<string>",
"listId": "<string>",
"segmentId": "<string>",
"fromName": "<string>",
"fromEmail": "<string>",
"replyToEmail": "<string>",
"snapshotSubject": "<string>",
"snapshotPreheader": "<string>",
"snapshotFromName": "<string>",
"snapshotFromEmail": "<string>",
"snapshotReplyToEmail": "<string>",
"snapshotHtmlCompiled": "<string>",
"snapshotTextCompiled": "<string>",
"snapshotTemplateId": "<string>",
"snapshotTemplateContentHash": "<string>",
"snapshotAudience": {},
"snapshotTakenAt": "<string>",
"scheduleAt": "<string>",
"startedAt": "<string>",
"completedAt": "<string>",
"sesTenantName": "<string>",
"idempotencyKey": "<string>",
"targetRules": {},
"stats": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"cancelledAt": "<string>"
}
],
"pagination": {
"next_cursor": "<string>",
"has_more": true
}
}{
"status": 123,
"data": null,
"error": "<string>",
"message": "<string>",
"log": null,
"env": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>"
}
],
"subcode": "<string>"
}
}Authorizations
Use your Shoppex API key in the Authorization header.
Query Parameters
Page size, an integer. Values outside the allowed range are clamped.